Bug 555154 - Realtek RTL8111/8168B Ethernet NIC does not work without kernel option "pcie_aspm=off"
Realtek RTL8111/8168B Ethernet NIC does not work without kernel option "pcie_...
Status: CLOSED DUPLICATE of bug 538920
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-13 15:06 EST by Renich Bon Ciric
Modified: 2013-01-10 15:03 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-01 13:46:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Renich Bon Ciric 2010-01-13 15:06:51 EST
Description of problem:
I have 2 integrated NIC into my ASUS M3N WS motherboard:

http://asus.com/product.aspx?P_ID=7gfWeKeA2oofkHP5

After a minimal installation, I can see only one of them (only one ifcfg-ethX was created). The other one isn't there.

The first NIC is working great; no problems there. The other one has trouble. lspci sees it but netconfig -a doesn't. Even after creating a ifcfg-eth1 file.

Version-Release number of selected component (if applicable):
2.6.31.9-174.fc12.x86_64

How reproducible:
Get a M3N WS mb and install Fedora 12.
  
Actual results:

[root@server ~]# ls /etc/sysconfig/network-scripts/
ifcfg-eth0   ifdown-eth    ifdown-isdn    ifdown-sit     ifup-bnep   ifup-ipv6  ifup-plusb   ifup-sit          net.hotplug
ifcfg-lo     ifdown-ippp   ifdown-post    ifdown-tunnel  ifup-eth    ifup-ipx   ifup-post    ifup-tunnel       network-functions
ifdown       ifdown-ipsec  ifdown-ppp     ifup           ifup-ippp   ifup-isdn  ifup-ppp     ifup-wireless     network-functions-ipv6
ifdown-bnep  ifdown-ipv6   ifdown-routes  ifup-aliases   ifup-ipsec  ifup-plip  ifup-routes  init.ipv6-global
[root@server ~]# lspci -v
00:00.0 RAM memory: nVidia Corporation MCP78S [GeForce 8200] Memory Controller (rev a2)
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0
	Capabilities: [94] HyperTransport: #1a
	Capabilities: [60] HyperTransport: Retry Mode
	Capabilities: [44] HyperTransport: Slave or Primary Interface
	Capabilities: [d0] HyperTransport: #1c

00:01.0 ISA bridge: nVidia Corporation MCP78S [GeForce 8200] LPC Bridge (rev a2)
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0

00:01.1 SMBus: nVidia Corporation MCP78S [GeForce 8200] SMBus (rev a1)
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: 66MHz, fast devsel, IRQ 255
	I/O ports at fc00 [size=64]
	I/O ports at 1c00 [size=64]
	I/O ports at 1c40 [size=64]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: nForce2_smbus
	Kernel modules: i2c-nforce2

00:01.2 RAM memory: nVidia Corporation MCP78S [GeForce 8200] Memory Controller (rev a1)
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: 66MHz, fast devsel

00:01.3 Co-processor: nVidia Corporation MCP78S [GeForce 8200] Co-Processor (rev a2)
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 5
	Memory at fdf80000 (32-bit, non-prefetchable) [size=512K]

00:01.4 RAM memory: nVidia Corporation MCP78S [GeForce 8200] Memory Controller (rev a1)
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: 66MHz, fast devsel

00:02.0 USB Controller: nVidia Corporation MCP78S [GeForce 8200] OHCI USB 1.1 Controller (rev a1) (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 20
	Memory at fe02f000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: ohci_hcd

00:02.1 USB Controller: nVidia Corporation MCP78S [GeForce 8200] EHCI USB 2.0 Controller (rev a1) (prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 22
	Memory at fe02e000 (32-bit, non-prefetchable) [size=256]
	Capabilities: [44] Debug port: BAR=1 offset=00a0
	Capabilities: [80] Power Management version 2
	Kernel driver in use: ehci_hcd

00:04.0 USB Controller: nVidia Corporation MCP78S [GeForce 8200] OHCI USB 1.1 Controller (rev a1) (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 23
	Memory at fe02d000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: ohci_hcd

00:04.1 USB Controller: nVidia Corporation MCP78S [GeForce 8200] EHCI USB 2.0 Controller (rev a1) (prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 21
	Memory at fe02c000 (32-bit, non-prefetchable) [size=256]
	Capabilities: [44] Debug port: BAR=1 offset=00a0
	Capabilities: [80] Power Management version 2
	Kernel driver in use: ehci_hcd

00:06.0 IDE interface: nVidia Corporation MCP78S [GeForce 8200] IDE (rev a1) (prog-if 8a [Master SecP PriP])
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0
	[virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
	[virtual] Memory at 000003f0 (type 3, non-prefetchable) [size=1]
	[virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
	[virtual] Memory at 00000370 (type 3, non-prefetchable) [size=1]
	I/O ports at f000 [size=16]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: pata_amd
	Kernel modules: ata_generic, pata_acpi, pata_amd

00:07.0 Audio device: nVidia Corporation MCP72XE/MCP72P/MCP78U/MCP78S High Definition Audio (rev a1)
	Subsystem: ASUSTeK Computer Inc. Device 82af
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 21
	Memory at fe020000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

00:08.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1) (prog-if 01 [Subtractive decode])
	Flags: bus master, 66MHz, fast devsel, latency 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: fde00000-fdefffff
	Prefetchable memory behind bridge: fdd00000-fddfffff
	Capabilities: [b8] Subsystem: ASUSTeK Computer Inc. Device 82e2
	Capabilities: [8c] HyperTransport: MSI Mapping Enable+ Fixed-

00:09.0 SATA controller: nVidia Corporation MCP78S [GeForce 8200] AHCI Controller (rev a2) (prog-if 01 [AHCI 1.0])
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 28
	I/O ports at 09f0 [size=8]
	I/O ports at 0bf0 [size=4]
	I/O ports at 0970 [size=8]
	I/O ports at 0b70 [size=4]
	I/O ports at dc00 [size=16]
	Memory at fe026000 (32-bit, non-prefetchable) [size=8K]
	Capabilities: [44] Power Management version 2
	Capabilities: [8c] SATA HBA <?>
	Capabilities: [b0] MSI: Enable+ Count=1/8 Maskable- 64bit+
	Capabilities: [ec] HyperTransport: MSI Mapping Enable+ Fixed+
	Kernel driver in use: ahci

00:0b.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Express Bridge (rev a1) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 0000b000-0000bfff
	Memory behind bridge: fb000000-fcffffff
	Prefetchable memory behind bridge: 00000000e0000000-00000000efffffff
	Capabilities: [40] Subsystem: ASUSTeK Computer Inc. Device 82e2
	Capabilities: [48] Power Management version 2
	Capabilities: [60] HyperTransport: MSI Mapping Enable+ Fixed-
	Kernel modules: shpchp

00:10.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Express Bridge (rev a1) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 0000a000-0000afff
	Memory behind bridge: f6000000-f9ffffff
	Prefetchable memory behind bridge: 00000000d0000000-00000000dfffffff
	Capabilities: [40] Subsystem: ASUSTeK Computer Inc. Device 82e2
	Capabilities: [48] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/2 Maskable- 64bit+
	Capabilities: [60] HyperTransport: MSI Mapping Enable+ Fixed-
	Capabilities: [80] Express Root Port (Slot+), MSI 00
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:12.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Express Bridge (rev a1) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 00009000-00009fff
	Memory behind bridge: fdc00000-fdcfffff
	Prefetchable memory behind bridge: 00000000fdb00000-00000000fdbfffff
	Capabilities: [40] Subsystem: ASUSTeK Computer Inc. Device 82e2
	Capabilities: [48] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/2 Maskable- 64bit+
	Capabilities: [60] HyperTransport: MSI Mapping Enable+ Fixed-
	Capabilities: [80] Express Root Port (Slot+), MSI 00
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:13.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=05, subordinate=07, sec-latency=0
	I/O behind bridge: 00007000-00008fff
	Memory behind bridge: fd800000-fdafffff
	Prefetchable memory behind bridge: 00000000fd600000-00000000fd7fffff
	Capabilities: [40] Subsystem: ASUSTeK Computer Inc. Device 82e2
	Capabilities: [48] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/2 Maskable- 64bit+
	Capabilities: [60] HyperTransport: MSI Mapping Enable+ Fixed-
	Capabilities: [80] Express Root Port (Slot+), MSI 00
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:14.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=08, subordinate=0c, sec-latency=0
	I/O behind bridge: 00004000-00006fff
	Memory behind bridge: fd300000-fd5fffff
	Prefetchable memory behind bridge: 00000000fd000000-00000000fd2fffff
	Capabilities: [40] Subsystem: ASUSTeK Computer Inc. Device 82e2
	Capabilities: [48] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/2 Maskable- 64bit+
	Capabilities: [60] HyperTransport: MSI Mapping Enable+ Fixed-
	Capabilities: [80] Express Root Port (Slot+), MSI 00
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:18.0 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] HyperTransport Configuration
	Flags: fast devsel
	Capabilities: [80] HyperTransport: Host or Secondary Interface

00:18.1 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Address Map
	Flags: fast devsel

00:18.2 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] DRAM Controller
	Flags: fast devsel
	Kernel modules: amd64_edac_mod

00:18.3 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Miscellaneous Control
	Flags: fast devsel
	Capabilities: [f0] Secure device <?>

00:18.4 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Link Control
	Flags: fast devsel

01:0a.0 FireWire (IEEE 1394): Agere Systems FW322/323 (rev 70) (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. IEEE 1394a Firewire Controller
	Flags: bus master, medium devsel, latency 32, IRQ 18
	Memory at fdeff000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: firewire_ohci
	Kernel modules: firewire-ohci

02:00.0 VGA compatible controller: nVidia Corporation GeForce 8200 (rev a2) (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: fast devsel, IRQ 22
	Memory at fb000000 (32-bit, non-prefetchable) [size=16M]
	Memory at e0000000 (64-bit, prefetchable) [size=128M]
	Memory at ee000000 (64-bit, prefetchable) [size=32M]
	I/O ports at bc00 [size=128]
	Expansion ROM at e8000000 [disabled] [size=128K]
	Capabilities: [60] Power Management version 2
	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
	Kernel modules: nouveau, nvidiafb

03:00.0 VGA compatible controller: nVidia Corporation GeForce 8600 GT (rev a1) (prog-if 00 [VGA controller])
	Subsystem: eVga.com. Corp. Device c750
	Flags: bus master, fast devsel, latency 0, IRQ 16
	Memory at f8000000 (32-bit, non-prefetchable) [size=16M]
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Memory at f6000000 (64-bit, non-prefetchable) [size=32M]
	I/O ports at ac00 [size=128]
	Expansion ROM at f9fe0000 [disabled] [size=128K]
	Capabilities: [60] Power Management version 2
	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [78] Express Endpoint, MSI 00
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [128] Power Budgeting <?>
	Capabilities: [600] Vendor Specific Information <?>
	Kernel driver in use: nouveau
	Kernel modules: nouveau, nvidiafb

04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
	Subsystem: ASUSTeK Computer Inc. Device 82c6
	Flags: bus master, fast devsel, latency 0, IRQ 29
	I/O ports at 9c00 [size=256]
	Memory at fdcff000 (64-bit, non-prefetchable) [size=4K]
	Memory at fdbf0000 (64-bit, prefetchable) [size=64K]
	[virtual] Expansion ROM at fdb00000 [disabled] [size=128K]
	Capabilities: [40] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [70] Express Endpoint, MSI 01
	Capabilities: [b0] MSI-X: Enable- Count=2 Masked-
	Capabilities: [d0] Vital Product Data
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [140] Virtual Channel <?>
	Capabilities: [160] Device Serial Number 00-00-00-00-ec-10-68-81
	Kernel driver in use: r8169
	Kernel modules: r8168, r8169

05:00.0 PCI bridge: NEC Corporation uPD720400 PCI Express - PCI/PCI-X Bridge (rev 06) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=05, secondary=06, subordinate=06, sec-latency=32
	I/O behind bridge: 00008000-00008fff
	Memory behind bridge: fd900000-fd9fffff
	Prefetchable memory behind bridge: 00000000fd700000-00000000fd7fffff
	Capabilities: [40] Express PCI/PCI-X Bridge, MSI 00
	Capabilities: [54] PCI-X bridge device
	Capabilities: [64] Power Management version 2
	Capabilities: [100] Advanced Error Reporting
	Kernel modules: shpchp

05:00.1 PCI bridge: NEC Corporation uPD720400 PCI Express - PCI/PCI-X Bridge (rev 06) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Memory at fdaff000 (64-bit, non-prefetchable) [size=128]
	Bus: primary=05, secondary=07, subordinate=07, sec-latency=32
	I/O behind bridge: 00007000-00007fff
	Memory behind bridge: fd800000-fd8fffff
	Prefetchable memory behind bridge: 00000000fd600000-00000000fd6fffff
	Capabilities: [40] Express PCI/PCI-X Bridge, MSI 00
	Capabilities: [54] PCI-X bridge device
	Capabilities: [64] Power Management version 2
	Capabilities: [6c] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [7c] Hot-plug capable
	Capabilities: [100] Advanced Error Reporting
	Kernel modules: shpchp

08:00.0 PCI bridge: Integrated Device Technology, Inc. PES4T4 PCI Express Switch (rev 0e) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=00, subordinate=00, sec-latency=0
	I/O behind bridge: 00004000-00006fff
	Memory behind bridge: fd300000-fd5fffff
	Prefetchable memory behind bridge: 00000000fd000000-00000000fd2fffff
	Capabilities: [40] Express Upstream Port, MSI 00
	Capabilities: [c0] Power Management version 3
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [200] Virtual Channel <?>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

09:02.0 PCI bridge: Integrated Device Technology, Inc. PES4T4 PCI Express Switch (rev ff) (prog-if ff)
	!!! Unknown header type 7f

09:03.0 PCI bridge: Integrated Device Technology, Inc. PES4T4 PCI Express Switch (rev ff) (prog-if ff)
	!!! Unknown header type 7f

09:04.0 PCI bridge: Integrated Device Technology, Inc. PES4T4 PCI Express Switch (rev ff) (prog-if ff)
	!!! Unknown header type 7f

0a:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev ff) (prog-if ff)
	!!! Unknown header type 7f
	Kernel modules: r8168, r8169



Expected results:

The last NIC should be visible and working

Additional info:
I already tried installing the r8168 module directly from realtek. The Fedora Forum has this suggestion. Nothing happened. The working NIC had no problems with module r8168 but the non-working NIC stayed that way.

I tried to boot the Gentoo 10th anniversary live DVD and it worked fine. This tells me it's a bug in OUR kernel.
Comment 1 Renich Bon Ciric 2010-01-13 19:12:34 EST
I just wanted to add that, after compiling a vanilla kernel (from kernel.org) and installing, this problem was solved.

Here's my procedure:

1. download latest kernel from kernel.org
2. uncompress on /usr/src/kernels
3. copy the current config; at /boot, to /usr/src/kernels/linux-2.6.32.3/.config
4. run make oldconfig
5. make && make modules_install install
6. reboot

I see my NIC and everything is solved on lscpi -v

[root@server boot]# uname -a
Linux server.grupoabyeb.net 2.6.32.3 #1 SMP Wed Jan 13 17:38:28 CST 2010 x86_64 x86_64 x86_64 GNU/Linux

[root@server boot]# ifconfig -a
eth0      Link encap:Ethernet  HWaddr 00:22:15:39:97:FA  
          inet addr:{SomeIpAddr  Bcast:{SomeIpAddr}  Mask:{SomeIpAddr}
          inet6 addr: {SomeIpv6Addr} Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:20591 errors:0 dropped:0 overruns:0 frame:0
          TX packets:15373 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:27183284 (25.9 MiB)  TX bytes:1341233 (1.2 MiB)
          Interrupt:32 Base address:0x4000 

eth1      Link encap:Ethernet  HWaddr 00:22:15:39:95:9B  
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Interrupt:33 Base address:0x8000 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:22 errors:0 dropped:0 overruns:0 frame:0
          TX packets:22 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:2481 (2.4 KiB)  TX bytes:2481 (2.4 KiB)

[root@server boot]# lspci -v
00:00.0 RAM memory: nVidia Corporation MCP78S [GeForce 8200] Memory Controller (rev a2)
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0
	Capabilities: [94] HyperTransport: #1a
	Capabilities: [60] HyperTransport: Retry Mode
	Capabilities: [44] HyperTransport: Slave or Primary Interface
	Capabilities: [d0] HyperTransport: #1c

00:01.0 ISA bridge: nVidia Corporation MCP78S [GeForce 8200] LPC Bridge (rev a2)
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0

00:01.1 SMBus: nVidia Corporation MCP78S [GeForce 8200] SMBus (rev a1)
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: 66MHz, fast devsel, IRQ 255
	I/O ports at fc00 [size=64]
	I/O ports at 1c00 [size=64]
	I/O ports at 1c40 [size=64]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: nForce2_smbus
	Kernel modules: i2c-nforce2

00:01.2 RAM memory: nVidia Corporation MCP78S [GeForce 8200] Memory Controller (rev a1)
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: 66MHz, fast devsel

00:01.3 Co-processor: nVidia Corporation MCP78S [GeForce 8200] Co-Processor (rev a2)
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 5
	Memory at fdf80000 (32-bit, non-prefetchable) [size=512K]

00:01.4 RAM memory: nVidia Corporation MCP78S [GeForce 8200] Memory Controller (rev a1)
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: 66MHz, fast devsel

00:02.0 USB Controller: nVidia Corporation MCP78S [GeForce 8200] OHCI USB 1.1 Controller (rev a1) (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 20
	Memory at fe02f000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: ohci_hcd

00:02.1 USB Controller: nVidia Corporation MCP78S [GeForce 8200] EHCI USB 2.0 Controller (rev a1) (prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 22
	Memory at fe02e000 (32-bit, non-prefetchable) [size=256]
	Capabilities: [44] Debug port: BAR=1 offset=00a0
	Capabilities: [80] Power Management version 2
	Kernel driver in use: ehci_hcd

00:04.0 USB Controller: nVidia Corporation MCP78S [GeForce 8200] OHCI USB 1.1 Controller (rev a1) (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 23
	Memory at fe02d000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: ohci_hcd

00:04.1 USB Controller: nVidia Corporation MCP78S [GeForce 8200] EHCI USB 2.0 Controller (rev a1) (prog-if 20 [EHCI])
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 21
	Memory at fe02c000 (32-bit, non-prefetchable) [size=256]
	Capabilities: [44] Debug port: BAR=1 offset=00a0
	Capabilities: [80] Power Management version 2
	Kernel driver in use: ehci_hcd

00:06.0 IDE interface: nVidia Corporation MCP78S [GeForce 8200] IDE (rev a1) (prog-if 8a [Master SecP PriP])
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0
	[virtual] Memory at 000001f0 (32-bit, non-prefetchable) [size=8]
	[virtual] Memory at 000003f0 (type 3, non-prefetchable) [size=1]
	[virtual] Memory at 00000170 (32-bit, non-prefetchable) [size=8]
	[virtual] Memory at 00000370 (type 3, non-prefetchable) [size=1]
	I/O ports at f000 [size=16]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: pata_amd
	Kernel modules: ata_generic, pata_acpi, pata_amd

00:07.0 Audio device: nVidia Corporation MCP72XE/MCP72P/MCP78U/MCP78S High Definition Audio (rev a1)
	Subsystem: ASUSTeK Computer Inc. Device 82af
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 22
	Memory at fe020000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

00:08.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1) (prog-if 01 [Subtractive decode])
	Flags: bus master, 66MHz, fast devsel, latency 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: fde00000-fdefffff
	Prefetchable memory behind bridge: fdd00000-fddfffff
	Capabilities: [b8] Subsystem: ASUSTeK Computer Inc. Device 82e2
	Capabilities: [8c] HyperTransport: MSI Mapping Enable+ Fixed-

00:09.0 SATA controller: nVidia Corporation MCP78S [GeForce 8200] AHCI Controller (rev a2) (prog-if 01 [AHCI 1.0])
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 31
	I/O ports at 09f0 [size=8]
	I/O ports at 0bf0 [size=4]
	I/O ports at 0970 [size=8]
	I/O ports at 0b70 [size=4]
	I/O ports at dc00 [size=16]
	Memory at fe026000 (32-bit, non-prefetchable) [size=8K]
	Capabilities: [44] Power Management version 2
	Capabilities: [8c] SATA HBA <?>
	Capabilities: [b0] MSI: Enable+ Count=1/8 Maskable- 64bit+
	Capabilities: [ec] HyperTransport: MSI Mapping Enable+ Fixed+
	Kernel driver in use: ahci

00:0b.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Express Bridge (rev a1) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 0000b000-0000bfff
	Memory behind bridge: fb000000-fcffffff
	Prefetchable memory behind bridge: 00000000e0000000-00000000efffffff
	Capabilities: [40] Subsystem: ASUSTeK Computer Inc. Device 82e2
	Capabilities: [48] Power Management version 2
	Capabilities: [60] HyperTransport: MSI Mapping Enable+ Fixed-
	Kernel modules: shpchp

00:10.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Express Bridge (rev a1) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 0000a000-0000afff
	Memory behind bridge: f6000000-f9ffffff
	Prefetchable memory behind bridge: 00000000d0000000-00000000dfffffff
	Capabilities: [40] Subsystem: ASUSTeK Computer Inc. Device 82e2
	Capabilities: [48] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/2 Maskable- 64bit+
	Capabilities: [60] HyperTransport: MSI Mapping Enable+ Fixed-
	Capabilities: [80] Express Root Port (Slot+), MSI 00
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:12.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Express Bridge (rev a1) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 00009000-00009fff
	Memory behind bridge: fdc00000-fdcfffff
	Prefetchable memory behind bridge: 00000000fdb00000-00000000fdbfffff
	Capabilities: [40] Subsystem: ASUSTeK Computer Inc. Device 82e2
	Capabilities: [48] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/2 Maskable- 64bit+
	Capabilities: [60] HyperTransport: MSI Mapping Enable+ Fixed-
	Capabilities: [80] Express Root Port (Slot+), MSI 00
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:13.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=05, subordinate=07, sec-latency=0
	I/O behind bridge: 00007000-00008fff
	Memory behind bridge: fd800000-fdafffff
	Prefetchable memory behind bridge: 00000000fd600000-00000000fd7fffff
	Capabilities: [40] Subsystem: ASUSTeK Computer Inc. Device 82e2
	Capabilities: [48] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/2 Maskable- 64bit+
	Capabilities: [60] HyperTransport: MSI Mapping Enable+ Fixed-
	Capabilities: [80] Express Root Port (Slot+), MSI 00
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:14.0 PCI bridge: nVidia Corporation MCP78S [GeForce 8200] PCI Bridge (rev a1) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=08, subordinate=0c, sec-latency=0
	I/O behind bridge: 00004000-00006fff
	Memory behind bridge: fd300000-fd5fffff
	Prefetchable memory behind bridge: 00000000fd000000-00000000fd2fffff
	Capabilities: [40] Subsystem: ASUSTeK Computer Inc. Device 82e2
	Capabilities: [48] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/2 Maskable- 64bit+
	Capabilities: [60] HyperTransport: MSI Mapping Enable+ Fixed-
	Capabilities: [80] Express Root Port (Slot+), MSI 00
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:18.0 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] HyperTransport Configuration
	Flags: fast devsel
	Capabilities: [80] HyperTransport: Host or Secondary Interface

00:18.1 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Address Map
	Flags: fast devsel

00:18.2 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] DRAM Controller
	Flags: fast devsel
	Kernel modules: amd64_edac_mod

00:18.3 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Miscellaneous Control
	Flags: fast devsel
	Capabilities: [f0] Secure device <?>

00:18.4 Host bridge: Advanced Micro Devices [AMD] Family 10h [Opteron, Athlon64, Sempron] Link Control
	Flags: fast devsel

01:0a.0 FireWire (IEEE 1394): Agere Systems FW322/323 (rev 70) (prog-if 10 [OHCI])
	Subsystem: ASUSTeK Computer Inc. IEEE 1394a Firewire Controller
	Flags: bus master, medium devsel, latency 32, IRQ 18
	Memory at fdeff000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [44] Power Management version 2
	Kernel driver in use: firewire_ohci
	Kernel modules: firewire-ohci

02:00.0 VGA compatible controller: nVidia Corporation GeForce 8200 (rev a2) (prog-if 00 [VGA controller])
	Subsystem: ASUSTeK Computer Inc. Device 82e2
	Flags: fast devsel, IRQ 11
	Memory at fb000000 (32-bit, non-prefetchable) [disabled] [size=16M]
	Memory at e0000000 (64-bit, prefetchable) [disabled] [size=128M]
	Memory at ee000000 (64-bit, prefetchable) [disabled] [size=32M]
	I/O ports at bc00 [disabled] [size=128]
	[virtual] Expansion ROM at e8000000 [disabled] [size=128K]
	Capabilities: [60] Power Management version 2
	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
	Kernel modules: nvidiafb

03:00.0 VGA compatible controller: nVidia Corporation GeForce 8600 GT (rev a1) (prog-if 00 [VGA controller])
	Subsystem: eVga.com. Corp. Device c750
	Flags: bus master, fast devsel, latency 0, IRQ 7
	Memory at f8000000 (32-bit, non-prefetchable) [size=16M]
	Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Memory at f6000000 (64-bit, non-prefetchable) [size=32M]
	I/O ports at ac00 [size=128]
	Expansion ROM at f9fe0000 [disabled] [size=128K]
	Capabilities: [60] Power Management version 2
	Capabilities: [68] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [78] Express Endpoint, MSI 00
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [128] Power Budgeting <?>
	Capabilities: [600] Vendor Specific Information <?>
	Kernel modules: nvidiafb

04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
	Subsystem: ASUSTeK Computer Inc. Device 82c6
	Flags: bus master, fast devsel, latency 0, IRQ 32
	I/O ports at 9c00 [size=256]
	Memory at fdcff000 (64-bit, non-prefetchable) [size=4K]
	Memory at fdbf0000 (64-bit, prefetchable) [size=64K]
	[virtual] Expansion ROM at fdb00000 [disabled] [size=128K]
	Capabilities: [40] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [70] Express Endpoint, MSI 01
	Capabilities: [b0] MSI-X: Enable- Count=2 Masked-
	Capabilities: [d0] Vital Product Data
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [140] Virtual Channel <?>
	Capabilities: [160] Device Serial Number 00-00-00-00-ec-10-68-81
	Kernel driver in use: r8169
	Kernel modules: r8169

05:00.0 PCI bridge: NEC Corporation uPD720400 PCI Express - PCI/PCI-X Bridge (rev 06) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=05, secondary=06, subordinate=06, sec-latency=32
	I/O behind bridge: 00008000-00008fff
	Memory behind bridge: fd900000-fd9fffff
	Prefetchable memory behind bridge: 00000000fd700000-00000000fd7fffff
	Capabilities: [40] Express PCI/PCI-X Bridge, MSI 00
	Capabilities: [54] PCI-X bridge device
	Capabilities: [64] Power Management version 2
	Capabilities: [100] Advanced Error Reporting
	Kernel modules: shpchp

05:00.1 PCI bridge: NEC Corporation uPD720400 PCI Express - PCI/PCI-X Bridge (rev 06) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Memory at fdaff000 (64-bit, non-prefetchable) [size=128]
	Bus: primary=05, secondary=07, subordinate=07, sec-latency=32
	I/O behind bridge: 00007000-00007fff
	Memory behind bridge: fd800000-fd8fffff
	Prefetchable memory behind bridge: 00000000fd600000-00000000fd6fffff
	Capabilities: [40] Express PCI/PCI-X Bridge, MSI 00
	Capabilities: [54] PCI-X bridge device
	Capabilities: [64] Power Management version 2
	Capabilities: [6c] MSI: Enable- Count=1/1 Maskable- 64bit+
	Capabilities: [7c] Hot-plug capable
	Capabilities: [100] Advanced Error Reporting
	Kernel modules: shpchp

08:00.0 PCI bridge: Integrated Device Technology, Inc. PES4T4 PCI Express Switch (rev 0e) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=08, secondary=09, subordinate=0c, sec-latency=0
	I/O behind bridge: 00004000-00006fff
	Memory behind bridge: fd300000-fd5fffff
	Prefetchable memory behind bridge: 00000000fd000000-00000000fd2fffff
	Capabilities: [40] Express Upstream Port, MSI 00
	Capabilities: [c0] Power Management version 3
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [200] Virtual Channel <?>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

09:02.0 PCI bridge: Integrated Device Technology, Inc. PES4T4 PCI Express Switch (rev 0e) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=09, secondary=0a, subordinate=0a, sec-latency=0
	I/O behind bridge: 00006000-00006fff
	Memory behind bridge: fd500000-fd5fffff
	Prefetchable memory behind bridge: 00000000fd200000-00000000fd2fffff
	Capabilities: [40] Express Downstream Port (Slot-), MSI 00
	Capabilities: [c0] Power Management version 3
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [200] Virtual Channel <?>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

09:03.0 PCI bridge: Integrated Device Technology, Inc. PES4T4 PCI Express Switch (rev 0e) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=09, secondary=0b, subordinate=0b, sec-latency=0
	I/O behind bridge: 00005000-00005fff
	Memory behind bridge: fd400000-fd4fffff
	Prefetchable memory behind bridge: 00000000fd100000-00000000fd1fffff
	Capabilities: [40] Express Downstream Port (Slot-), MSI 00
	Capabilities: [c0] Power Management version 3
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [200] Virtual Channel <?>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

09:04.0 PCI bridge: Integrated Device Technology, Inc. PES4T4 PCI Express Switch (rev 0e) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=09, secondary=0c, subordinate=0c, sec-latency=0
	I/O behind bridge: 00004000-00004fff
	Memory behind bridge: fd300000-fd3fffff
	Prefetchable memory behind bridge: 00000000fd000000-00000000fd0fffff
	Capabilities: [40] Express Downstream Port (Slot-), MSI 00
	Capabilities: [c0] Power Management version 3
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [200] Virtual Channel <?>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

0a:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)
	Subsystem: ASUSTeK Computer Inc. Device 82c6
	Flags: bus master, fast devsel, latency 0, IRQ 33
	I/O ports at 6c00 [size=256]
	Memory at fd5ff000 (64-bit, non-prefetchable) [size=4K]
	Memory at fd2f0000 (64-bit, prefetchable) [size=64K]
	[virtual] Expansion ROM at fd200000 [disabled] [size=128K]
	Capabilities: [40] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [70] Express Endpoint, MSI 01
	Capabilities: [b0] MSI-X: Enable- Count=2 Masked-
	Capabilities: [d0] Vital Product Data
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [140] Virtual Channel <?>
	Capabilities: [160] Device Serial Number 00-00-00-00-ec-10-68-81
	Kernel driver in use: r8169
	Kernel modules: r8169
Comment 2 Martin Decky 2010-01-16 18:31:45 EST
I can confirm this bug. I have the same motherboard and with F12 kernel the secondary integrated RealTek network interface does not get detected (while the primary works just fine). However, after some tweaking of the BIOS settings and kernel parameters (nomsi, noapic, etc.) I can sometimes force the network card to work, say in 1 case out of 20 (but this is certainly far from being reliable and it is not deterministic). I haven't tried vanilla kernel yet.

The symtops are exactly the same as Renich Bon Ciric describes. Dmes shows:

r8169 0000:0a:00.0: PCI INT A -> Link[AE4C] -> GSI 16 (level, low) -> IRQ 16
r8169 0000:0a:00.0: cache line size of 64 is not supported
r8169 0000:0a:00.0: PCI INT A disabled
r8169: probe of 0000:0a:00.0 failed with error -22

Lspci -v shows:

09:02.0 PCI bridge: Integrated Device Technology, Inc. PES4T4 PCI Express Switch (rev ff) (prog-if ff)
	!!! Unknown header type 7f
	Kernel driver in use: pcieport

09:03.0 PCI bridge: Integrated Device Technology, Inc. PES4T4 PCI Express Switch (rev ff) (prog-if ff)
	!!! Unknown header type 7f
	Kernel driver in use: pcieport

09:04.0 PCI bridge: Integrated Device Technology, Inc. PES4T4 PCI Express Switch (rev ff) (prog-if ff)
	!!! Unknown header type 7f
	Kernel driver in use: pcieport

0a:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev ff) (prog-if ff)
	!!! Unknown header type 7f
	Kernel modules: r8169

My configuration is:

Asus M3N WS (GeForce 8200 chipset)
Fedora 12 x86_64
kernel-2.6.32.3-25.fc12.x86_64
Comment 3 Renich Bon Ciric 2010-01-26 16:23:20 EST
ping!
Comment 4 Renich Bon Ciric 2010-02-16 17:11:13 EST
Still not fixed on kernel.x86_64 0:2.6.31.12-174.2.19.fc12 update.
Comment 5 Martin Decky 2010-03-11 20:29:09 EST
The issue is still present in kernel-2.6.32.9-70.fc12.x86_64. I am using a vanilla kernel (same version) which works OK.

I don't say that I use the same configuration for my vanilla kernel, but I don't see any obvious configuration option that is used in the Fedora kernel and might break the PCI-Express bus so badly. I also don't see any clear suspects among the patches in the Fedora kernel.

Come on, guys! Can somebody please have a look on this issue? I know that it is probably reproducible on just one "obscure" motherboard, but it is a rather serious issue and it is very probably Fedora-specific.
Comment 6 Renich Bon Ciric 2010-03-31 05:18:07 EDT
has this been addressed? I'm gonna be forced to change to some other distro if it doesn't get addressed soon (in that server, heh). My client is killing me!
Comment 7 David Chin 2010-04-26 17:46:38 EDT
I can report similar behavior using the Gigabyte H55M-S2H motherboard. The on-board LAN interface is Realtek's RTL8111D chip:

http://www.gigabyte.us/Products/Motherboard/Products_Spec.aspx?ClassValue=Motherboard&ProductID=3322&ProductName=GA-H55M-S2H

http://www.realtek.com/products/productsView.aspx?Langid=1&PFid=5&Level=5&Conn=4&ProdID=193

A little more detail:

1. Booting from the FC12 x86_64 DVD, installing the kernel from the DVD without any updates, the network interface works fine. Kernel is 2.6.31.5-127.fc12.x86_64

2. Using this kernel (2.6.31.5-127), I can also download the module source from RealTek and compile the r8168.ko, which runs just fine. Then, remove this module and use the r8169 which came with FC12.

3. Once I update the kernel, the network interface stops working.

4. Try compiling the RealTek-sourced r8168 under the new kernel, but it does not detect the network interface at all ("can't be found" or something).

My fix is to remain on the 2.6.31.5-127 kernel. Will collect more data in the following week, and update this.
Comment 8 Aaron Gee 2010-05-13 16:39:57 EDT
The problem of RTL8111 not working persists into RHEL 6 Beta.  I can report that the RHEL 6 Beta (Like RHEL 5.4 & Fedora Core 12) detects the ethernet port, LSPCI and dmesg show the port and ifconfig even shows the port as up but there is no network connectivity.
Comment 9 Martin Decky 2010-06-06 08:05:17 EDT
The issue is still present in the newest Fedora 13 kernel kernel-2.6.33.5-112.fc13.x86_64.

Fortunately, after countless hours of try&fail testing I have been able to isolate a kernel command-line option which fixes the issues in my case. It is

pcie_aspm=off

This is probably related to the Asus M3N WS motherboard (I'll try to go deeper into why the ASPM is not working correcly on this MB), but the same issues might be present in any motherboard with the same chipset (GeForce 8200) or even different chipsets. Just give it a try.
Comment 10 Renich Bon Ciric 2010-07-04 05:12:59 EDT
(In reply to comment #9)
> The issue is still present in the newest Fedora 13 kernel
> kernel-2.6.33.5-112.fc13.x86_64.
> 
> Fortunately, after countless hours of try&fail testing I have been able to
> isolate a kernel command-line option which fixes the issues in my case. It is
> 
> pcie_aspm=off

Confirmed. This fixes the issue in my M3N WS. Any idea of why the vanilla kernel works and Fedora's doesn't?
Comment 11 Chuck Ebbert 2010-07-07 00:19:20 EDT
(In reply to comment #10)
> (In reply to comment #9)
> > The issue is still present in the newest Fedora 13 kernel
> > kernel-2.6.33.5-112.fc13.x86_64.
> > 
> > Fortunately, after countless hours of try&fail testing I have been able to
> > isolate a kernel command-line option which fixes the issues in my case. It is
> > 
> > pcie_aspm=off
> 
> Confirmed. This fixes the issue in my M3N WS. Any idea of why the vanilla
> kernel works and Fedora's doesn't?    

Because we enable ASPM by default in order to save power.
Comment 12 Chuck Ebbert 2010-07-21 22:34:42 EDT
Please try 2.6.34.1-20 from koji, which will disable ASPM if the motherboard says it does not support it.
Comment 13 James 2010-07-22 08:54:38 EDT
(In reply to comment #12)
> Please try 2.6.34.1-20 from koji, which will disable ASPM if the motherboard
> says it does not support it.    

I'm trying a kernel built from its source (with a patch dropped, the Fedora-supplied one breaks ACPI on this machine):

# dmesg | grep ASPM
pci 0000:08:00.0: disabling ASPM on pre-1.1 PCIe device.  You can enable it with 'pcie_aspm=force'

# lspci -v | grep 08\:00.0
08:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)

After suspend/resume, it still drops down to a 100 Mbit/s connection. I'll try pcie_aspm=off later and report.
Comment 14 Chuck Ebbert 2010-07-22 15:26:47 EDT
(In reply to comment #13)
> (In reply to comment #12)
> > Please try 2.6.34.1-20 from koji, which will disable ASPM if the motherboard
> > says it does not support it.    
> 
> I'm trying a kernel built from its source (with a patch dropped, the
> Fedora-supplied one breaks ACPI on this machine):

Which patch is that?
Comment 15 Stanislaw Gruszka 2010-10-01 13:46:44 EDT

*** This bug has been marked as a duplicate of bug 538920 ***

Note You need to log in before you can comment on or make changes to this bug.